net.sourceforge.pmd.ast

## Class FieldDeclTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.FieldDeclTest

    public class FieldDeclTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`FieldDeclTest()`

### Method Summary

Methods
`ASTFieldDeclaration` `getFieldDecl(String[] access)`
`String` `makeAccessJavaCode(String[] access)`
`static junit.framework.Test` `suite()`
`void` `testFinal()`
`void` `testPrivate()`
`void` `testProtected()`
`void` `testPublic()`
`void` `testStatic()`
`void` `testTransient()`
`void` `testVolatile()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldDeclTest

    public FieldDeclTest()

### Method Detail

#### makeAccessJavaCode

    public String makeAccessJavaCode(String[] access)

#### getFieldDecl

    public ASTFieldDeclaration getFieldDecl(String[] access)
                                     throws Throwable

Throws:
  `Throwable`

#### testPublic

    public void testPublic()
                    throws Throwable

Throws:
  `Throwable`

#### testProtected

    public void testProtected()
                       throws Throwable

Throws:
  `Throwable`

#### testPrivate

    public void testPrivate()
                     throws Throwable

Throws:
  `Throwable`

#### testStatic

    public void testStatic()
                    throws Throwable

Throws:
  `Throwable`

#### testFinal

    public void testFinal()
                   throws Throwable

Throws:
  `Throwable`

#### testTransient

    public void testTransient()
                       throws Throwable

Throws:
  `Throwable`

#### testVolatile

    public void testVolatile()
                      throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()